Package org.eclipse.core.databinding.bind.steps

# Class ListTwoWaySteps

java.lang.Object
org.eclipse.core.databinding.bind.steps.ListTwoWaySteps

public final class ListTwoWaySteps extends Object
Contains `Step` interfaces for the fluent databinding API for two-way `IObservableList` bindings. Each of these interfaces define the operations that are allowed in a particular pipeline step.

Since:
  1.11

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`ListTwoWaySteps.ListTwoWayBindConfigStep<F,T,THIS extends ListTwoWaySteps.ListTwoWayBindConfigStep<F,T,THIS>>`
Step from configuring the to-end and creating the binding.
`static interface`
`ListTwoWaySteps.ListTwoWayConfigStep<F,T,THIS extends ListTwoWaySteps.ListTwoWayConfigStep<F,T,THIS>>`
Step from configuring the from-end.
`static interface`
`ListTwoWaySteps.ListTwoWayConvertFromStep<F,T>`
Step for setting the to-from direction converter.
`static interface`
`ListTwoWaySteps.ListTwoWayConvertToStep<F,THIS extends ListTwoWaySteps.ListTwoWayConvertToStep<F,THIS>>`
Step for setting the from-to direction converter.
`static interface`
`ListTwoWaySteps.ListTwoWayFromStep`
Refines the return types of the `ListCommonSteps.ListFromStep` methods for use with two-way bindings.
`static interface`
`ListTwoWaySteps.ListTwoWayToStep<F,T>`
Step for setting the to-end observable.
`static interface`
`ListTwoWaySteps.ListTwoWayUntypedToStep<F>`
Step for settings to-end observable using default converters.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`